# Maximum/Minimum
A function $f$ has an *absolute maximum* at $c$ if $f(c) >= f(x)$. We call $f(c)$ the maximum value of $f$.
The absolute **maximum** is the largest possible output value for a function.

A function $f$ has an absolute minimum at $c$ if $f(c) <= f(x)$. $f(c)$ is the absolute minimum value of $f$.
The absolute **minimum** is the smallest possible output value for a function.

- Where the derivative of a function is zero, there is either a peak or a trough.

# Critical Numbers
A number is considered critical if the output of a function exists and $\dfrac{d}{dx}$ is zero or undefined.

# Local Max/Min
A local max/min is a peak or trough at any point along the graph.

# Extreme Value Theorem
If $f$ is a continuous function in a closed interval $[a, b]$, then $f$ achieves both an absolute maximum and an absolute minimum in $[a, b]$. Furthermore, the absolute extrema occur at $a$ or at $b$ or at a critical number between $a$ and $b$.

## Example
> Find the absolute maximum and absolute minimum of the function $f(x) = x^2 -3x + 2$ on the closed interval $[0, 2]$:
1. $x=0$ and $x=2$ are both critical numbers because they are endpoints. Endpoints are *always* critical numbers because $\dfrac{d}{dx}$ is undefined.
2. $\dfrac{d}{dx} x^2 -3x + 2 = 2x -3$
3. Setting the derivative to zero, $0 = 2x - 3$
4. Solving for x, we get $x = \dfrac{3}{2}$. Three halves is a critical number because $